Bug 477345 - X server locks on startup at runlevel 5 or from cli with startx
X server locks on startup at runlevel 5 or from cli with startx
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
10
ppc Linux
low Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-20 15:07 EST by rwbaskette
Modified: 2009-04-01 16:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-01 16:38:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rwbaskette 2008-12-20 15:07:27 EST
Xorg appears to lock at the start of gdm or running startx from the command line  
I appears the server is started for some period of time as gdm or gnome begins its startup, however after about say 10-15 seconds I get messages on the command line that some component cannot talk to the X server.


Version-Release number of selected component (if applicable):
xorg-x11-server-common-1.5.3-6
xorg-x11-server-Xorg-1.5.3-6
xorg-x11-drv-ati-6.9.0-62

How reproducible:
Locks every time i boot in runlevel 5 or run startx

Steps to Reproduce:

System was in a known good working state from fresh install from DVD ISO onto a Titanium PowerBook G4 550MHZ with 1GB of RAM.

I "Updated" the system via the gnome update panel
  
Actual results:
Hard lock of X server. Loss of keyboard and mouse (cannot jump back to any console once the X server locks).

I tried both the "ati" driver and the "radeon" driver. The ati driver complained that it went into an infinite loop while the radeon driver failed silently.

Additional info:
Please let me know what I can provide
Comment 1 Matěj Cepl 2009-01-15 05:14:31 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available), X server log file (/var/log/Xorg.*.log) and ~/.xsession-errors to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 François Cami 2009-04-01 16:38:52 EDT
    The information we've requested above is required in order to review this problem report further and diagnose or fix the issue if it is still present. Since it has been thirty days or more since we first requested additional information, we're assuming the problem is either no longer present in the current Fedora release, or that there is no longer any interest in tracking the problem. 

    Setting status to "CLOSED: INSUFFICIENT_DATA". If you still experience this problem after updating to our latest Fedora release and can provide the information previously requested, please feel free to reopen the bug report. 

    Thank you in advance. 

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.